name: use nix

on: push
env:
    DEV_SHELL_NAME: CI
jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v3
      - name: Install Nix
        uses: DeterminateSystems/nix-installer-action@v4
        with:
          logger: pretty
          log-directives: nix_installer=trace
          backtrace: full
      - name: Run the Magic Nix Cache
        uses: DeterminateSystems/magic-nix-cache-action@v1
      - name: Check
        run: |
          nix flake metadata
          nix flake check
          nix --no-sandbox develop -c statix check
